package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuDishesStyleEditDTO implements Serializable {
   @ApiModelProperty("菜系id")
   private @NotNull(
   message = "{menu_style_id_null}"
) Long styleId;
   @ApiModelProperty("菜系名称")
   private @NotBlank(
   message = "{menu_style_name_null}"
) String styleName;

   public Long getStyleId() {
      return this.styleId;
   }

   public String getStyleName() {
      return this.styleName;
   }

   public void setStyleId(final Long styleId) {
      this.styleId = styleId;
   }

   public void setStyleName(final String styleName) {
      this.styleName = styleName;
   }

}
